package cn.com.poc.human_resources.service;

import java.util.List;

import cn.com.poc.human_resources.entity.BizHumanResourceResumeEntity;
import cn.com.poc.human_resources.query.ResumeQueryCondition;
import cn.com.poc.human_resources.query.ResumeQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

public interface BizHumanResourceResumeService extends BaseService {

    BizHumanResourceResumeEntity get(java.lang.Long id) throws Exception;

    List<BizHumanResourceResumeEntity> findByExample(BizHumanResourceResumeEntity example, PagingInfo pagingInfo);

    BizHumanResourceResumeEntity save(BizHumanResourceResumeEntity entity) throws Exception;

    BizHumanResourceResumeEntity update(BizHumanResourceResumeEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    List<ResumeQueryItem> resumeQuery(ResumeQueryCondition condition, PagingInfo pagingInfo) throws Exception;

}